$(document).ready(function() {
  permissionDropdown();
});

function permissionDropdown(){
    
    var _url = API_URL_LIST["PI - AM Contact - Get Session Info"];
    var inputParameter = {};
    //inputParameter["bcid"] = BCID;
  
    var payload = {};
    payload.eventData = JSON.stringify(inputParameter);
  
    shell
      .ajaxSafePost({
        type: "POST",
        contentType: "application/json",
        url: _url,
        data: JSON.stringify(payload),
        processData: false,
        global: false,
      })
      .done(function (response) {
        let result = JSON.parse(response);
        console.log(result);
        if(result["action"] == "SUCCESS")
        {
          var role = result.role ?? "";
          var type = result.type ?? "";
          var productLine = result.productline ? JSON.parse(result.productline) : [];        
          var status = result.status;     
          updateInfoContainerDisplay(status);

          if (type == "Vendor" && role == "Admin"){
            $(".permission-role-type").append('Supplier Admin');
          }
          else if (type == "Vendor" && role != "Admin"){
            $(".permission-role-type").append('Supplier');
          }
          else if (type == "Customer"){
            $(".permission-role-type").append('Buyer');
          }

          if (productLine.length > 0) {
          productLine.forEach(product => {
              $(".product-line-dropdown").append("<a>" + product.description + "</a>");
            });
          } else {
            $(".product-line-dropdown").hide();
          }

        }
        else
        { 
          let validation = validateResponseCode(result["action"],null);
          if(!validation.valid)
          {
            displayErrorOnModal(validation,null);
          }
        }
      })
      .fail(function (response) {
        let validation = validateResponseCode("Header-GetRoleDetailAPIFailed",null);
        if(response.responseJSON.Message || response.responseJSON.Message  != "")
          displayErrorOnModal(validation, response.responseJSON.Message);
        else
          displayErrorOnModal(validation, null);
      });
}

function updateInfoContainerDisplay(status) {
  
    var infoContainer = document.querySelector('.info-container');
    // Remove existing classes
    infoContainer.classList.remove('display-none', 'display-block');

    // Add class for display block
    switch (status) {
      case "Registration Completed":
      case "Pending Self Onboarding":
      case "Cannot be Verified":
          infoContainer.classList.add('display-block');
          break;

      case "Self Onboarding Completed":
      case "Successful Verification":
      case "Uploaded Master Data":
          infoContainer.classList.add('display-none');
          break;

      default:
          infoContainer.classList.add('display-none');
          break;
    }
}
